/
githubmirror
/
keyutils
Обзор
Документация
Войти
/
githubmirror
/
keyutils
Код
Запросы
0
Пакеты
0
Релизы
0
Аналитика
Безопасность
master
tests/runtest.sh
26 строк
558 B
David Howells
TEST: Display the name of the test we're about to run
06 мар 2014, 19:13
06 мар 2014, 19:13
3b7d25f
Код
Авторство
О чём код?
#!/bin/bash TESTS=$* PARENTTEST=${TEST} if [ `id -u` != 0 ] then echo "#### Some tests require root privileges." >&2 echo "#### It is recommended that this be run as root." >&2 fi for i in ${TESTS}; do export TEST=$i pushd $i >/dev/null echo "### RUNNING TEST $i" bash ./runtest.sh || exit 1 popd >/dev/null done if [ `id -u` != 0 ] then echo "#### Some tests required root privileges." >&2 echo "#### They have been tested for the appropriate failure." >&2 echo "#### It is recommended that this be run as root." >&2 fi